import { Component, OnInit } from '@angular/core';
import {FormBuilder, FormGroup, Validators} from "@angular/forms";
import {UserService} from "../user.service";
import {User} from "../user";

@Component({
  selector: 'app-user-create',
  templateUrl: './user-create.component.html',
  styleUrls: ['./user-create.component.css'],
  providers:[UserService]
})
export class UserCreateComponent implements OnInit {

  constructor(public fb: FormBuilder, private userService: UserService) { }

  ngOnInit() {
  }

  public loginForm = this.fb.group({
    name: ["", Validators.required],
    password: ["", Validators.required]
  });

  public doLogin(event) {
       console.log(this.loginForm.value);

    let name = this.loginForm.controls['name'].value;
    let password = this.loginForm.controls['password'].value;
    this.userService.saveUser(new User(name, password)).subscribe()
  }
}
