import { Injectable } from '@angular/core';
import {Observable} from "rxjs/Observable";
import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/map'
import 'rxjs/add/operator/catch';
import {User} from "./user";

@Injectable()
export class UserService {


  url = "http://localhost:8080/user";
  constructor(private http: HttpClient) { }


  findAll(): Observable<User[]>  {
    return this.http.get(this.url)
      .catch((error:any) => Observable.throw(error.json().error || 'Server error'));
  }

  saveUser(user: User): Observable<User> {
    return this.http.post(this.url, user)
      .catch((error:any) => Observable.throw(error.json().error || 'Server error'));

  }

}
